Bug 203841 - [patch] editors/texstudio: Update to 2.10.4
Summary: [patch] editors/texstudio: Update to 2.10.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Max Brazhnikov
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-10-17 18:20 UTC by Sergey Brunov
Modified: 2015-11-07 11:00 UTC (History)
2 users (show)

See Also:
makc: maintainer-feedback+


Attachments
The patch. (2.93 KB, patch)
2015-10-17 18:20 UTC, Sergey Brunov
no flags Details | Diff
The new patch (2.10.4). (2.93 KB, patch)
2015-10-26 13:05 UTC, Sergey Brunov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Brunov 2015-10-17 18:20:44 UTC
Created attachment 162159 [details]
The patch.

Hello, Team!

The patch is attached.

Best regards,
Sergey Brunov.
Comment 1 Abilio Marques 2015-10-20 14:51:06 UTC
I developed a similar patch when 2.10.2 came out, but I had an issue with the app icon not being available. I'm using Mate. That kept me from uploading it.

Also, the app appears listed under KDE/Office, instead of going straight to Office.
Comment 2 Abilio Marques 2015-10-20 14:53:05 UTC
When I mean the icon is not available, I mean that a generic icon is displayed instead for the application, in place of the main icon.
Comment 3 Sergey Brunov 2015-10-26 13:05:09 UTC
Created attachment 162465 [details]
The new patch (2.10.4).

Hello, Team!

The new patch is attached.

Best regards,
Sergey Brunov.
Comment 4 Abilio Marques 2015-10-26 13:14:55 UTC
Sergey, nice work, I have the exact same patch, I didn't upload it because I'm still wondering how to deal with the icon issue on Mate's menu.

A few versions ago, the INSTALL_ICONS directive disappeared from the Makefile. That broke icon installation on Mate. I'm still looking for the possible solution.

To everyone, should we pass this patch (the one for 2.10.4), and then release a new one solving the icon issue?
Comment 5 Abilio Marques 2015-11-03 12:50:03 UTC
I believe this patch must proceed based on the fact that the icon is only missing on gnome2 based desktops, and is more of a gnome issue.
Comment 6 commit-hook freebsd_committer 2015-11-07 10:43:23 UTC
A commit references this bug:

Author: makc
Date: Sat Nov  7 10:42:33 UTC 2015
New revision: 400976
URL: https://svnweb.freebsd.org/changeset/ports/400976

Log:
  editors/texstudio:
  - Update to 2.10.4

  PR:		203841
  Submitted by:	Sergey Brunov
  Approved by:	Abilio Marques (maintainer)

Changes:
  head/editors/texstudio/Makefile
  head/editors/texstudio/distinfo
  head/editors/texstudio/files/
  head/editors/texstudio/pkg-plist
Comment 7 Max Brazhnikov freebsd_committer 2015-11-07 11:00:50 UTC
Committed, thanks!